%define upstream_name    LaTeX-Driver
%define upstream_version 1.2.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Driver to run LaTeX, bibtex and makeindex
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/LaTeX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.230.0
BuildRequires: perl(File::pushd)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(IO::File)
BuildRequires: perl(Log::Any)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildRequires: latex
BuildRequires: ghostscript-common
BuildRequires: texlive-dist
BuildRequires: texlive-collection-basic
Requires:   latex
Requires:   ghostscript-common
Requires:   perl-Template-Toolkit
BuildArch:  noarch

%description
The LaTeX::Driver module encapsulates the details of invoking the Latex
programs to format a LaTeX document. Formatting with LaTeX is complicated;
there are potentially many programs to run and the output of those programs
must be monitored to determine whether further processing is required.

This module runs the required commands in the directory specified, either
explicitly with the 'dirname' option or implicitly by the directory part of
'basename', or in the current directory. As a result of the processing up
to a dozen or more intermediate files are created. These can be removed
with the 'cleanup' method.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
TMPDIR=/tmp %make_build test

%install
%make_install

%files
%doc Changes INSTALL META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 31 2020 tv <tv> 1.2.0-1.mga8
+ Revision: 1640816
- restore BR perl(inc::Module::Install)
- update to 1.2.0

* Sat Aug 01 2020 tv <tv> 1.1.1-1.mga8
+ Revision: 1610266
- restore BR on inc::Module::Install
- update to 1.1.1

* Fri May 22 2020 tv <tv> 1.0.0-1.mga8
+ Revision: 1586802
- BR texlive-collection-basic
- restore BuildRequires: perl(inc::Module::Install)
- update to 1.0.0

* Wed Feb 12 2020 umeabot <umeabot> 0.300.2-6.mga8
+ Revision: 1504930
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.300.2-5.mga7
+ Revision: 1284494
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.300.2-4.mga7
+ Revision: 1165081
- rebuild with fixed rpm for missing autodeps

* Thu Sep 21 2017 tv <tv> 0.300.2-3.mga7
+ Revision: 1156818
- add missing BR

* Sun Jun 19 2016 pterjan <pterjan> 0.300.2-2.mga6
+ Revision: 1029125
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.300.2-1.mga6
+ Revision: 1007914
- update to 0.300.2

* Fri Feb 05 2016 umeabot <umeabot> 0.200.4-5.mga6
+ Revision: 937453
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.200.4-4.mga6
+ Revision: 937006
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.200.4-3.mga5
+ Revision: 749487
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 jquelin <jquelin> 0.200.4-1.mga5
+ Revision: 616290
- update to 0.200.4

* Sat Dec 21 2013 sander85 <sander85> 0.120.0-3.mga4
+ Revision: 559565
- Fix BRs
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 368926
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 kharec <kharec> 0.120.0-1.mga3
+ Revision: 288469
- update to 0.12

* Fri Aug 31 2012 kharec <kharec> 0.110.0-1.mga3
+ Revision: 286315
- add a br on Readonly
- update to 0.11

* Thu Feb 09 2012 dmorgan <dmorgan> 0.100.0-2.mga2
+ Revision: 206616
- Add perl-Template-Toolkit as Requires

* Fri Oct 14 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 155035
- update to 0.10

* Fri Mar 04 2011 boklm <boklm> 0.80.0-3.mga1
+ Revision: 64076
- don't require tetex

* Fri Jan 21 2011 jquelin <jquelin> 0.80.0-2.mga1
+ Revision: 29129
- mageia rebuild
- imported package perl-LaTeX-Driver

